@charset "utf-8";
/* CSS Document */

.backcol
{
    background: #252839;

    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Noto Sans KR', sans-serif;
    font-weight: 900;
}
.bgcol
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 4vh; /* Changed min-height to 100vh for full view height */
    background: #252839;
}
h20
{
    position: relative;
    font-size: 3.2vh;
    color: #252839;
    -webkit-text-stroke: 0.1vw #383d52;
    text-transform: uppercase;
    overflow: hidden; /* Ensure overflow is hidden */
    white-space: nowrap; /* Prevent text from wrapping */
}
h20::before
{
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: #01fe87;
    -webkit-text-stroke: 0vw #383d52;
    border-right: 2px solid #01fe87;
    overflow: hidden;
    white-space: nowrap; /* Ensure text does not wrap */
    animation: animate 12s linear infinite;
}
@keyframes animate
{
    0%, 100%
    {
        width: 0;
    }
    50%
    {
        width: 100%;
    }
}
